Last Comment Bug 674662 - Enable Android NDK r5c in Aurora for Firefox 8
: Enable Android NDK r5c in Aurora for Firefox 8
Status: RESOLVED FIXED
[merge-day]
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: ARM Android
: P3 normal (vote)
: ---
Assigned To: Mike Taylor [:bear]
:
Mentors:
Depends on: 558180 657723
Blocks: 679468 689666
  Show dependency treegraph
 
Reported: 2011-07-27 13:24 PDT by Matt Brubeck (:mbrubeck)
Modified: 2013-08-12 21:54 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
8+


Attachments
adjust mozconfigs for m-a to use ndk r5c (2.48 KB, patch)
2011-08-16 12:20 PDT, Mike Taylor [:bear]
aki: review+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2011-07-27 13:24:19 PDT
+++ This bug was initially created as a clone of Bug #657723 +++

When Firefox 8 migrates from mozilla-central to mozilla-aurora, we will need to copy the changes from http://hg.mozilla.org/build/buildbot-configs/rev/7283fc18044f into the mozilla-aurora mozconfigs.

(We'll need to do the same for mozilla-beta six weeks later, and mozilla-release six weeks after that.  We can open new bugs for those after this one is done, or use this bug for all three migrations.)
Comment 1 Aki Sasaki [:aki] 2011-07-27 13:29:30 PDT
Once bug 558180 lands (mozconfigs -> source tree), any new mozconfig changes landed in m-c will get merged into mozilla-aurora automatically.

That hasn't landed yet.
I've added a comment there to update the not-yet-live mozconfigs with the ndk5 changes, and I'm keeping this bug open in case that doesn't land in time for the mozilla-aurora merge.
Comment 2 Aki Sasaki [:aki] 2011-07-27 13:30:33 PDT
We'll also have to update the beta- and release- mozconfigs for 8.0 manually, since those won't be in-tree.
Comment 3 Aki Sasaki [:aki] 2011-07-28 07:24:42 PDT
When this lands in Aurora / Beta, we need to clobber.
Comment 4 Brad Lassey [:blassey] (use needinfo?) 2011-08-01 12:47:48 PDT
tracking-fennec=8+ 

I don't think tracking-firefox8 needs to be set here, unless theres some merge mechanics I'm not aware of.
Comment 5 Mike Taylor [:bear] 2011-08-16 12:20:30 PDT
Created attachment 553548 [details] [diff] [review]
adjust mozconfigs for m-a to use ndk r5c
Comment 6 Mike Taylor [:bear] 2011-08-16 12:24:57 PDT
Comment on attachment 553548 [details] [diff] [review]
adjust mozconfigs for m-a to use ndk r5c

committed changeset 4585:b056d07490ad
Comment 7 Mike Taylor [:bear] 2011-08-16 12:32:32 PDT
patch "cherrry picked" into production branch

[production] moz:buildbot-configs bear$ hg out
comparing with ssh://hg.mozilla.org/build/buildbot-configs
searching for changes
changeset:   4585:b056d07490ad
user:        Mike Taylor <bear@mozilla.com>
date:        Tue Aug 16 15:24:31 2011 -0400
summary:     bug 674662 r=aki change mozilla-aurora mozconfig to use ndk r5c

changeset:   4586:070d63682e86
branch:      production
tag:         tip
parent:      4570:621f2b2d61fe
user:        Mike Taylor <bear@mozilla.com>
date:        Tue Aug 16 15:24:31 2011 -0400
summary:     bug 674662 r=aki change mozilla-aurora mozconfig to use ndk r5c

[production] moz:buildbot-configs bear$ hg push
pushing to ssh://hg.mozilla.org/build/buildbot-configs
searching for changes
remote: adding changesets
remote: adding manifests
remote: adding file changes
remote: added 2 changesets with 2 changes to 2 files
remote: Trying to insert into pushlog.
remote: Please do not interrupt...
remote: Inserted into the pushlog db successfully.

Note You need to log in before you can comment on or make changes to this bug.